Package com.taosdata.jdbc.utils

## Class TDNodes

- java.lang.Object
- - com.taosdata.jdbc.utils.TDNodes

    public class TDNodes
    extends Object

### Constructor Summary

Constructors
`TDNodes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cfg​(int index, String option, String value)`
`void` `check​(int index)`
`void` `deploy​(int index)`
`TDNode` `getTDNode​(int index)`
`void` `setTestCluster​(boolean testCluster)`
`void` `start​(int index)`
`void` `startIP​(int index)`
`void` `stop​(int index)`
`void` `stopIP​(int index)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TDNodes

    public TDNodes()

### Method Detail

#### setTestCluster

    public void setTestCluster​(boolean testCluster)

#### check

    public void check​(int index)

#### deploy

    public void deploy​(int index)

#### cfg

    public void cfg​(int index,
                    String option,
                    String value)

#### getTDNode

    public TDNode getTDNode​(int index)

#### start

    public void start​(int index)

#### stop

    public void stop​(int index)

#### startIP

    public void startIP​(int index)

#### stopIP

    public void stopIP​(int index)